Subject: Re: [iproute2 PATCH] iplink: Support VF Trust

From: Jeff Kirsher <[email-masked]>
Date: Mon, 12 Oct 2015 11:59:30 -0700

On Mon, 2015-10-12 at 09:54 -0700, Stephen Hemminger wrote:
> On Wed, 7 Oct 2015 10:06:32 +0000
> Hiroshi Shimamoto <[email-masked]> wrote:
> 
> > From: Hiroshi Shimamoto <[email-masked]>
> > 
> > Add IFLA_VF_TRUST message to trust the VF.
> > PF can accept some privileged operation from the trusted VF.
> > For example, ixgbe PF doesn't allow to enable VF promiscuous mode
> until
> > the VF is trusted because it may hurt performance.
> > 
> > To trust VF.
> >  # ip link set dev eth0 vf 1 trust on
> > 
> > To untrust VF.
> >  # ip link set dev eth0 vf 1 trust off
> > 
> > Signed-off-by: Hiroshi Shimamoto <[email-masked]>
> 
> I am waiting until this is accepted into kernel before merging it
> into iproute2.

Yeah, I figured.  I had him resend it since our validation team did not
have these changes available to test Hiroshi's latest set of
driver/core changes.